<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2024 Workiva-->
<!--r:7e8ac33d-8e4d-470b-a95d-a93ee8b28d29,g:70fdcb33-d73b-462e-b0e9-6d5bb3161955-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://olavthonasa.com/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" xlink:type="simple" xlink:href="olavthonasa-2023-12-31.xsd#StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement"/>
  <link:calculationLink xlink:role="http://olavthonasa.com/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_9ae21575-5b80-4685-95bf-ba1a476f1299" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod_5c876e30-0281-42dd-beab-98371bb8d0a7" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_9ae21575-5b80-4685-95bf-ba1a476f1299" xlink:to="loc_ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod_5c876e30-0281-42dd-beab-98371bb8d0a7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GainsLossesOnFairValueAdjustmentInvestmentProperty_4ccc493b-c731-4a06-85dc-d9629f371fc1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GainsLossesOnFairValueAdjustmentInvestmentProperty"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_9ae21575-5b80-4685-95bf-ba1a476f1299" xlink:to="loc_ifrs-full_GainsLossesOnFairValueAdjustmentInvestmentProperty_4ccc493b-c731-4a06-85dc-d9629f371fc1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_olavthonasa_Forvaltningsresultat_33120fed-bc57-473d-9390-9a930f8714a2" xlink:href="olavthonasa-2023-12-31.xsd#olavthonasa_Forvaltningsresultat"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_9ae21575-5b80-4685-95bf-ba1a476f1299" xlink:to="loc_olavthonasa_Forvaltningsresultat_33120fed-bc57-473d-9390-9a930f8714a2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_olavthonasa_NettoLeieinntekter_8e83d1cc-95a7-439a-9129-809e50cac4ec" xlink:href="olavthonasa-2023-12-31.xsd#olavthonasa_NettoLeieinntekter"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PropertyServiceChargeIncome_0c6d8371-19a9-412f-bd45-d02ab6cab67c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PropertyServiceChargeIncome"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_olavthonasa_NettoLeieinntekter_8e83d1cc-95a7-439a-9129-809e50cac4ec" xlink:to="loc_ifrs-full_PropertyServiceChargeIncome_0c6d8371-19a9-412f-bd45-d02ab6cab67c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PropertyServiceChargeExpense_7cea9c12-7ccf-4b14-af9b-43dd1c7f8058" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PropertyServiceChargeExpense"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_olavthonasa_NettoLeieinntekter_8e83d1cc-95a7-439a-9129-809e50cac4ec" xlink:to="loc_ifrs-full_PropertyServiceChargeExpense_7cea9c12-7ccf-4b14-af9b-43dd1c7f8058" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RentalIncomeFromInvestmentProperty_177eb80f-ad56-4fa9-ac87-ccfbd8d6ee6d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RentalIncomeFromInvestmentProperty"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_olavthonasa_NettoLeieinntekter_8e83d1cc-95a7-439a-9129-809e50cac4ec" xlink:to="loc_ifrs-full_RentalIncomeFromInvestmentProperty_177eb80f-ad56-4fa9-ac87-ccfbd8d6ee6d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_275e468e-7bb3-471d-8986-35e02d3a4c2a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxExpenseIncomeRecognisedInProfitOrLoss_039562f9-4ef0-43bc-9116-b8b8b52d88a7" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxExpenseIncomeRecognisedInProfitOrLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_275e468e-7bb3-471d-8986-35e02d3a4c2a" xlink:to="loc_ifrs-full_DeferredTaxExpenseIncomeRecognisedInProfitOrLoss_039562f9-4ef0-43bc-9116-b8b8b52d88a7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTaxExpenseIncome_13fc0df2-9ded-4a2e-a26f-6d8c082cb2a0" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxExpenseIncome"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_275e468e-7bb3-471d-8986-35e02d3a4c2a" xlink:to="loc_ifrs-full_CurrentTaxExpenseIncome_13fc0df2-9ded-4a2e-a26f-6d8c082cb2a0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_olavthonasa_Forvaltningsresultat_7588504a-7c00-4a04-8158-9821ddf48c83" xlink:href="olavthonasa-2023-12-31.xsd#olavthonasa_Forvaltningsresultat"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdministrativeExpense_70f9c88d-b7a6-4e96-9f27-da8e32999876" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdministrativeExpense"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_olavthonasa_Forvaltningsresultat_7588504a-7c00-4a04-8158-9821ddf48c83" xlink:to="loc_ifrs-full_AdministrativeExpense_70f9c88d-b7a6-4e96-9f27-da8e32999876" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OperatingExpense_8f95ac5b-fd6f-41e6-b44d-cdec4e773dd6" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OperatingExpense"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_olavthonasa_Forvaltningsresultat_7588504a-7c00-4a04-8158-9821ddf48c83" xlink:to="loc_ifrs-full_OperatingExpense_8f95ac5b-fd6f-41e6-b44d-cdec4e773dd6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_olavthonasa_NettoLeieinntekter_0b0960f3-163c-4603-b8c8-58d2aa1b24a8" xlink:href="olavthonasa-2023-12-31.xsd#olavthonasa_NettoLeieinntekter"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_olavthonasa_Forvaltningsresultat_7588504a-7c00-4a04-8158-9821ddf48c83" xlink:to="loc_olavthonasa_NettoLeieinntekter_0b0960f3-163c-4603-b8c8-58d2aa1b24a8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherOperatingIncomeExpense_a6bc9506-ee41-4172-88b4-ecc3998a5328" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherOperatingIncomeExpense"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_olavthonasa_Forvaltningsresultat_7588504a-7c00-4a04-8158-9821ddf48c83" xlink:to="loc_ifrs-full_OtherOperatingIncomeExpense_a6bc9506-ee41-4172-88b4-ecc3998a5328" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DepreciationAndAmortisationExpense_f5b7fa99-508b-4eac-aa44-2cc21c624315" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DepreciationAndAmortisationExpense"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_olavthonasa_Forvaltningsresultat_7588504a-7c00-4a04-8158-9821ddf48c83" xlink:to="loc_ifrs-full_DepreciationAndAmortisationExpense_f5b7fa99-508b-4eac-aa44-2cc21c624315" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_384c4d8e-d119-4417-ae75-119eed76d56c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_3c9c11c2-0b00-444e-bdcb-49ff1460bd97" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_384c4d8e-d119-4417-ae75-119eed76d56c" xlink:to="loc_ifrs-full_ProfitLossBeforeTax_3c9c11c2-0b00-444e-bdcb-49ff1460bd97" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_e39c02f9-e740-42b1-a02b-927affe8b4a7" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_384c4d8e-d119-4417-ae75-119eed76d56c" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_e39c02f9-e740-42b1-a02b-927affe8b4a7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncome_ffe13af2-fe9d-4bd6-b24c-f5739bdb0676" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_1047651b-66b8-4012-870a-44c32a80b6c4" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_ffe13af2-fe9d-4bd6-b24c-f5739bdb0676" xlink:to="loc_ifrs-full_ProfitLoss_1047651b-66b8-4012-870a-44c32a80b6c4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax_e4d2e5f3-76df-4b08-8c0f-e47b2dfb31a9" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_ffe13af2-fe9d-4bd6-b24c-f5739bdb0676" xlink:to="loc_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax_e4d2e5f3-76df-4b08-8c0f-e47b2dfb31a9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_d1faf428-6d6a-4629-8d43-6c73099dc3b7" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_0b7706f9-2467-4e6e-84fa-1b62dd596409" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_d1faf428-6d6a-4629-8d43-6c73099dc3b7" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities_0b7706f9-2467-4e6e-84fa-1b62dd596409" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherFinanceIncomeCost_c0da9072-6342-447e-a804-4feb9e185f84" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherFinanceIncomeCost"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_d1faf428-6d6a-4629-8d43-6c73099dc3b7" xlink:to="loc_ifrs-full_OtherFinanceIncomeCost_c0da9072-6342-447e-a804-4feb9e185f84" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherFinanceIncomeCost_5b415173-eb3f-4972-8d84-035b7d7ad638" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherFinanceIncomeCost"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherFinanceCost_b8ffc082-efa7-4115-b2bb-c3f8181fb23b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherFinanceCost"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherFinanceIncomeCost_5b415173-eb3f-4972-8d84-035b7d7ad638" xlink:to="loc_ifrs-full_OtherFinanceCost_b8ffc082-efa7-4115-b2bb-c3f8181fb23b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherFinanceIncome_55e305e9-8f4f-4692-8679-a1119eb6c3d3" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherFinanceIncome"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherFinanceIncomeCost_5b415173-eb3f-4972-8d84-035b7d7ad638" xlink:to="loc_ifrs-full_OtherFinanceIncome_55e305e9-8f4f-4692-8679-a1119eb6c3d3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GainsLossesOnChangeInFairValueOfDerivatives_81ee4148-5819-45fd-b30c-8bae8c764ab0" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GainsLossesOnChangeInFairValueOfDerivatives"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherFinanceIncomeCost_5b415173-eb3f-4972-8d84-035b7d7ad638" xlink:to="loc_ifrs-full_GainsLossesOnChangeInFairValueOfDerivatives_81ee4148-5819-45fd-b30c-8bae8c764ab0" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://olavthonasa.com/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="simple" xlink:href="olavthonasa-2023-12-31.xsd#StatementoffinancialpositioncurrentnoncurrentStatement"/>
  <link:calculationLink xlink:role="http://olavthonasa.com/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_f17c7699-cc0b-46e1-836e-d5da6bc833aa" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_TradeAndOtherCurrentReceivables_9f2397d7-56a8-4643-bcbb-ef36f231ec2d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentReceivables"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_f17c7699-cc0b-46e1-836e-d5da6bc833aa" xlink:to="loc_ifrs-full_TradeAndOtherCurrentReceivables_9f2397d7-56a8-4643-bcbb-ef36f231ec2d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashAndCashEquivalents_c42b783b-e3c9-4aba-959e-876d39f4cc4b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_f17c7699-cc0b-46e1-836e-d5da6bc833aa" xlink:to="loc_ifrs-full_CashAndCashEquivalents_c42b783b-e3c9-4aba-959e-876d39f4cc4b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAndLiabilities_1f9df6cb-1fdc-483c-b58f-dfb683e00c5b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Liabilities_3015e908-0692-4f5f-a0db-e530152c5f9d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Liabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_1f9df6cb-1fdc-483c-b58f-dfb683e00c5b" xlink:to="loc_ifrs-full_Liabilities_3015e908-0692-4f5f-a0db-e530152c5f9d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_47d866ec-9094-401b-b737-b5c2503f25de" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_1f9df6cb-1fdc-483c-b58f-dfb683e00c5b" xlink:to="loc_ifrs-full_Equity_47d866ec-9094-401b-b737-b5c2503f25de" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_51e76221-7ed0-47d9-a2f0-a735447b4e92" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherCurrentFinancialLiabilities_8398a874-f372-4349-ad4f-fd6d204cc24b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherCurrentFinancialLiabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_51e76221-7ed0-47d9-a2f0-a735447b4e92" xlink:to="loc_ifrs-full_OtherCurrentFinancialLiabilities_8398a874-f372-4349-ad4f-fd6d204cc24b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTaxLiabilitiesCurrent_9537e91f-9188-413c-a740-70e4486e1e7d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_51e76221-7ed0-47d9-a2f0-a735447b4e92" xlink:to="loc_ifrs-full_CurrentTaxLiabilitiesCurrent_9537e91f-9188-413c-a740-70e4486e1e7d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_TradeAndOtherCurrentPayables_6d33b2cb-29b8-4ff8-adbb-4cbd01d58152" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_51e76221-7ed0-47d9-a2f0-a735447b4e92" xlink:to="loc_ifrs-full_TradeAndOtherCurrentPayables_6d33b2cb-29b8-4ff8-adbb-4cbd01d58152" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_bb702bae-8f7c-49fd-80a3-d229ee2ffa50" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxLiabilities_26dc8e55-91d3-46eb-ac25-64f469183d66" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxLiabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_bb702bae-8f7c-49fd-80a3-d229ee2ffa50" xlink:to="loc_ifrs-full_DeferredTaxLiabilities_26dc8e55-91d3-46eb-ac25-64f469183d66" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLeaseLiabilities_273e7518-e7c4-4828-bafe-010986671e71" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_bb702bae-8f7c-49fd-80a3-d229ee2ffa50" xlink:to="loc_ifrs-full_NoncurrentLeaseLiabilities_273e7518-e7c4-4828-bafe-010986671e71" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherNoncurrentNonfinancialLiabilities_2ea7a4cf-30fc-460d-87f6-4f3ab5fc2996" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherNoncurrentNonfinancialLiabilities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_bb702bae-8f7c-49fd-80a3-d229ee2ffa50" xlink:to="loc_ifrs-full_OtherNoncurrentNonfinancialLiabilities_2ea7a4cf-30fc-460d-87f6-4f3ab5fc2996" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentFinancialLiabilitiesAtAmortisedCost_79f5351d-bb0c-419d-a8a6-6c0fb86d67ae" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentFinancialLiabilitiesAtAmortisedCost"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_bb702bae-8f7c-49fd-80a3-d229ee2ffa50" xlink:to="loc_ifrs-full_NoncurrentFinancialLiabilitiesAtAmortisedCost_79f5351d-bb0c-419d-a8a6-6c0fb86d67ae" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Liabilities_a5dea1cd-7d29-4181-a36d-a3a62ca88695" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Liabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_4e0ff0c9-37d2-4609-844b-8924bbfd3556" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Liabilities_a5dea1cd-7d29-4181-a36d-a3a62ca88695" xlink:to="loc_ifrs-full_CurrentLiabilities_4e0ff0c9-37d2-4609-844b-8924bbfd3556" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_eb8cf6c6-00bc-4546-8652-32d4a35c2843" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Liabilities_a5dea1cd-7d29-4181-a36d-a3a62ca88695" xlink:to="loc_ifrs-full_NoncurrentLiabilities_eb8cf6c6-00bc-4546-8652-32d4a35c2843" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_8d87df79-a394-4d28-8b20-d43dce2b3bbc" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherNoncurrentFinancialAssets_a7fcc877-a7aa-49db-9d4f-66622efb616d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherNoncurrentFinancialAssets"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_8d87df79-a394-4d28-8b20-d43dce2b3bbc" xlink:to="loc_ifrs-full_OtherNoncurrentFinancialAssets_a7fcc877-a7aa-49db-9d4f-66622efb616d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InvestmentAccountedForUsingEquityMethod_33e242e5-55aa-4928-8c16-e415d8ebb274" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InvestmentAccountedForUsingEquityMethod"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_8d87df79-a394-4d28-8b20-d43dce2b3bbc" xlink:to="loc_ifrs-full_InvestmentAccountedForUsingEquityMethod_33e242e5-55aa-4928-8c16-e415d8ebb274" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PropertyPlantAndEquipment_2b9b9fdb-c2ee-416a-b973-1b1e0c84099e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PropertyPlantAndEquipment"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_8d87df79-a394-4d28-8b20-d43dce2b3bbc" xlink:to="loc_ifrs-full_PropertyPlantAndEquipment_2b9b9fdb-c2ee-416a-b973-1b1e0c84099e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InvestmentProperty_cc2292b3-3b29-47f1-be54-2ec41579670e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InvestmentProperty"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_8d87df79-a394-4d28-8b20-d43dce2b3bbc" xlink:to="loc_ifrs-full_InvestmentProperty_cc2292b3-3b29-47f1-be54-2ec41579670e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherPropertyPlantAndEquipment_e8a6e2e9-750d-46a6-be81-e3cc0e597ace" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherPropertyPlantAndEquipment"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_8d87df79-a394-4d28-8b20-d43dce2b3bbc" xlink:to="loc_ifrs-full_OtherPropertyPlantAndEquipment_e8a6e2e9-750d-46a6-be81-e3cc0e597ace" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_aa0c92f3-dac6-41b6-b73d-64dc3d7565ee" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IssuedCapital_8da88510-b8ad-44fe-9d82-8ada7389da1a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapital"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_aa0c92f3-dac6-41b6-b73d-64dc3d7565ee" xlink:to="loc_ifrs-full_IssuedCapital_8da88510-b8ad-44fe-9d82-8ada7389da1a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncontrollingInterests_5946dda1-72d3-4706-9329-0712988f238d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncontrollingInterests"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_aa0c92f3-dac6-41b6-b73d-64dc3d7565ee" xlink:to="loc_ifrs-full_NoncontrollingInterests_5946dda1-72d3-4706-9329-0712988f238d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_olavthonasa_OtherEquity_94986449-1010-4a90-be7b-99638f051217" xlink:href="olavthonasa-2023-12-31.xsd#olavthonasa_OtherEquity"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_aa0c92f3-dac6-41b6-b73d-64dc3d7565ee" xlink:to="loc_olavthonasa_OtherEquity_94986449-1010-4a90-be7b-99638f051217" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_SharePremium_2b6c7856-6989-483a-b3ed-e7c0f26a5f24" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_SharePremium"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_aa0c92f3-dac6-41b6-b73d-64dc3d7565ee" xlink:to="loc_ifrs-full_SharePremium_2b6c7856-6989-483a-b3ed-e7c0f26a5f24" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Assets_9399f542-5a8d-4a8a-96f5-d92b936a9568" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_3d07a375-c4e2-4554-a171-43423850d06c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_9399f542-5a8d-4a8a-96f5-d92b936a9568" xlink:to="loc_ifrs-full_CurrentAssets_3d07a375-c4e2-4554-a171-43423850d06c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_27d25db4-dd43-4cd2-8245-49388a93b9c3" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_9399f542-5a8d-4a8a-96f5-d92b936a9568" xlink:to="loc_ifrs-full_NoncurrentAssets_27d25db4-dd43-4cd2-8245-49388a93b9c3" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://olavthonasa.com/role/StatementofcashflowsdirectmethodStatement" xlink:type="simple" xlink:href="olavthonasa-2023-12-31.xsd#StatementofcashflowsdirectmethodStatement"/>
  <link:calculationLink xlink:role="http://olavthonasa.com/role/StatementofcashflowsdirectmethodStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_9ddf6f2a-9d99-4060-a5cd-0ec2c6dec923" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod_a0fb8667-a580-4589-941b-b74e722264c4" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_9ddf6f2a-9d99-4060-a5cd-0ec2c6dec923" xlink:to="loc_ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod_a0fb8667-a580-4589-941b-b74e722264c4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty_166414cd-3f2b-4448-8244-f00742060884" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_9ddf6f2a-9d99-4060-a5cd-0ec2c6dec923" xlink:to="loc_ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty_166414cd-3f2b-4448-8244-f00742060884" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities_02af8d23-b87a-4fe3-bc28-3867219df0d6" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_9ddf6f2a-9d99-4060-a5cd-0ec2c6dec923" xlink:to="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities_02af8d23-b87a-4fe3-bc28-3867219df0d6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForInterestExpense_3fecb001-9113-450e-a52e-d40152062308" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForInterestExpense"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_9ddf6f2a-9d99-4060-a5cd-0ec2c6dec923" xlink:to="loc_ifrs-full_AdjustmentsForInterestExpense_3fecb001-9113-450e-a52e-d40152062308" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_038fb713-fb90-439a-9dda-a028e098f7b3" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_9ddf6f2a-9d99-4060-a5cd-0ec2c6dec923" xlink:to="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_038fb713-fb90-439a-9dda-a028e098f7b3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities_fafa23e3-eb8d-4ae4-808f-575d877e6713" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities"/>
    <link:calculationArc order="6" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_9ddf6f2a-9d99-4060-a5cd-0ec2c6dec923" xlink:to="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities_fafa23e3-eb8d-4ae4-808f-575d877e6713" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives_e589ad2e-94c3-4cb8-b188-f0f729ea0bf1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives"/>
    <link:calculationArc order="7" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_9ddf6f2a-9d99-4060-a5cd-0ec2c6dec923" xlink:to="loc_ifrs-full_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives_e589ad2e-94c3-4cb8-b188-f0f729ea0bf1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_eb1da09f-d037-475e-b264-4515af18eed7" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_9ddf6f2a-9d99-4060-a5cd-0ec2c6dec923" xlink:to="loc_ifrs-full_ProfitLossBeforeTax_eb1da09f-d037-475e-b264-4515af18eed7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsOperatingActivities_5755016a-d349-466c-8120-5768a24f4123" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsOperatingActivities"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_9ddf6f2a-9d99-4060-a5cd-0ec2c6dec923" xlink:to="loc_ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsOperatingActivities_5755016a-d349-466c-8120-5768a24f4123" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_a38cb43e-7191-4f4e-b4e3-7dc91fb9996d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod_c9d32d46-d559-4d82-9f60-c192dcc0706a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_a38cb43e-7191-4f4e-b4e3-7dc91fb9996d" xlink:to="loc_ifrs-full_ProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod_c9d32d46-d559-4d82-9f60-c192dcc0706a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_1afbc1d2-b6e1-402f-a772-eb44647efa6f" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_a38cb43e-7191-4f4e-b4e3-7dc91fb9996d" xlink:to="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_1afbc1d2-b6e1-402f-a772-eb44647efa6f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities_0ebb5fb3-155a-4a9e-84e6-005df06c85f9" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_a38cb43e-7191-4f4e-b4e3-7dc91fb9996d" xlink:to="loc_ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities_0ebb5fb3-155a-4a9e-84e6-005df06c85f9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_ca618937-3767-47a2-ab09-9784dd446578" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_a38cb43e-7191-4f4e-b4e3-7dc91fb9996d" xlink:to="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_ca618937-3767-47a2-ab09-9784dd446578" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_ec36ecc5-b9b0-4df1-b952-3120971a878b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities_ac810c11-57f1-46a0-af72-ae109870e48b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_ec36ecc5-b9b0-4df1-b952-3120971a878b" xlink:to="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities_ac810c11-57f1-46a0-af72-ae109870e48b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_f5434f5b-0099-4605-8e84-049e480826b7" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_ec36ecc5-b9b0-4df1-b952-3120971a878b" xlink:to="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_f5434f5b-0099-4605-8e84-049e480826b7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares_d1d66d12-03f1-4f56-a0dd-8097313f1674" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_ec36ecc5-b9b0-4df1-b952-3120971a878b" xlink:to="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares_d1d66d12-03f1-4f56-a0dd-8097313f1674" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_9948d4dc-0b59-4904-866f-fc69fae1c04f" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_ec36ecc5-b9b0-4df1-b952-3120971a878b" xlink:to="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_9948d4dc-0b59-4904-866f-fc69fae1c04f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_5a081ed4-9c0f-46f9-82e2-3bd50db5cf93" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_ec36ecc5-b9b0-4df1-b952-3120971a878b" xlink:to="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_5a081ed4-9c0f-46f9-82e2-3bd50db5cf93" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_14617577-81f9-401e-9452-36f4c8bf4490" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_de990ae9-c956-4b1e-8bf5-e13d05b1a6fb" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_14617577-81f9-401e-9452-36f4c8bf4490" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_de990ae9-c956-4b1e-8bf5-e13d05b1a6fb" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents_ec6d2a42-a551-4918-a136-e49d1e89eb13" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_14617577-81f9-401e-9452-36f4c8bf4490" xlink:to="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents_ec6d2a42-a551-4918-a136-e49d1e89eb13" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_bc1ec88a-40dd-4e28-ba03-cff7fc7ed264" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_14617577-81f9-401e-9452-36f4c8bf4490" xlink:to="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_bc1ec88a-40dd-4e28-ba03-cff7fc7ed264" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_2be475de-86cb-47d2-9387-c63c13e9395a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_14617577-81f9-401e-9452-36f4c8bf4490" xlink:to="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_2be475de-86cb-47d2-9387-c63c13e9395a" xlink:type="arc"/>
  </link:calculationLink>
</link:linkbase>
